使用Python Layer提示 can't start 'anaconda-mode' server

Google上找到的问题答案和论坛上都是因为通过HomeBrew 安装的带有prefix,我安装的是通过pyenv 多版本python,求解答

请贴完整的 Error Messege 谢谢。贴截圖也行的。

@LdBeth

先随便在哪里 (require 'anaconda-mode) 试试。看还会不会报错。

顺带请提供 Emacs/Spacemacs 版本。

@LdBeth emacs 26.0.90 spacemacs 0.300.0,加入后启动在spacemacs 显示

Error (use-package): anaconda-mode/:config: Symbol’s value as variable is void: anaconda-mode-view-mode-map

把所有的包更新一遍吧。 看起来是最近 use-package 更新引入了 bug 导致的。

我也有这个问题,不太影响使用一直没管

可能是 proofit404/anaconda-mode 移除了 变量 anaconda-mode-view-mode-map,

引用变量 anaconda-mode-view-mode-map 的地方: https://github.com/syl20bnr/spacemacs/blob/develop/layers/%2Blang/python/packages.el#L62

1 个赞